/operatorclassification#
Whether well operator is public or private company.
Endpoint#
GET |
https://hyperion.api.synmax.com/v4/operatorclassification |
Request Examples#
curl -X GET "https://hyperion.api.synmax.com/v4/operatorclassification" \
-H "Access-Key: $API_TOKEN"
from synmax.hyperion.v4 import HyperionApiClient
SYNMAX_ACCESS_TOKEN = "<YOUR_API_TOKEN>"
hyperion_api_client = HyperionApiClient(access_token=SYNMAX_ACCESS_TOKEN)
fetch_operator_classification_resp = hyperion_api_client.fetch_operator_classification()
fetch_operator_classification_df = fetch_operator_classification_resp.df()
fetch_operator_classification_df.head()
# Example of a Windows PowerShell request to the fetch_operator_classification endpoint.
$headers = New-Object "System.Collections.Generic.Dictionary[[String],[String]]"
$headers.Add("access_key", "<YOUR_API_TOKEN>")
$response = Invoke-RestMethod 'https://hyperion.api.synmax.com/v4/operatorclassification' -Method 'GET' -Headers $headers
$response | ConvertTo-Json
Response#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
operator |
string |
A well operator |
BILL BARRETT CORPORATION |
public_or_private |
string |
Whether the operator is public or private |
— |
ticker |
string |
The ticker of the operator |
— |
Normal Output#
operator |
public_or_private |
ticker |
|---|---|---|
1776 ENERGY OPERATORS LLC |
PRIVATE |
|
1859 OPERATING LLC |
PRIVATE |
|
1876 RESOURCES LLC |
PRIVATE |
|
1920 ENERGY, LLC |
PRIVATE |
|
3-T EXPLORATION INC |
PRIVATE |
|
3BEAR FIELD SERVICES, LLC |
PRIVATE |
|
3FEARNS LLC |
PRIVATE |
|
3R Operating, LLC |
PRIVATE |
|
4020 SWD, LLC |
PRIVATE |
|
500X Operating LLC |
PRIVATE |